org.hibernate.search.query.dsl.impl

## Class QueryBuildingContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.QueryBuildingContext

-     public class QueryBuildingContext
      extends Object

  Keep the query builder contextual information
  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryBuildingContext(ExtendedSearchIntegrator factory, ScopedAnalyzerReference originalAnalyzerReference, ScopedAnalyzerReference queryAnalyzerReference, IndexedTypeIdentifier indexBoundType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentBuilderIndexedEntity` | `getDocumentBuilder()`
    `IndexedTypeIdentifier` | `getEntityType()`
    `ExtendedSearchIntegrator` | `getExtendedSearchIntegrator()`
    `ScopedAnalyzerReference` | `getOriginalAnalyzerReference()`
    `ScopedAnalyzerReference` | `getQueryAnalyzerReference()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBuildingContext

          public QueryBuildingContext(ExtendedSearchIntegrator factory,
                                      ScopedAnalyzerReference originalAnalyzerReference,
                                      ScopedAnalyzerReference queryAnalyzerReference,
                                      IndexedTypeIdentifier indexBoundType)

  - ### Method Detail

    - #### getExtendedSearchIntegrator

          public ExtendedSearchIntegrator getExtendedSearchIntegrator()

    - #### getDocumentBuilder

          public DocumentBuilderIndexedEntity getDocumentBuilder()

    - #### getOriginalAnalyzerReference

          public ScopedAnalyzerReference getOriginalAnalyzerReference()

    - #### getQueryAnalyzerReference

          public ScopedAnalyzerReference getQueryAnalyzerReference()

    - #### getEntityType

          public IndexedTypeIdentifier getEntityType()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved